[Linux Mint] Erro com o dpkg

1. [Linux Mint] Erro com o dpkg

Nicolas
Apple

(usa Debian)

Enviado em 14/08/2020 - 19:21h

Ia atualizar o Linux Mint 19.3 para o 20 no notebook do meu pai, conectei na tomada (achei que tinha conectado) e deixei atualizando. Acabou a bateria no meio da instalação. :p
Tentei atualizar denovo e aparece erro com dpkg com o pacote vanilla-gnome-default-settings.
Já tentei remover ele com:

#dpkg -r --force-remove-reinstreq vanilla-gnome-default-settings

Mas aparece este erro:

dpkg: erro ao processar o pacote vanilla-gnome-default-settings (--remove):
o subprocesso instalado, do pacote vanilla-gnome-default-settings, o script pre-removal retornou erro do status de saída 2
Erros foram encontrados durante o processamento de:
vanilla-gnome-default-settings

Tenho o synaptic instalado e sei que ele mostra todos diretórios onde o pacote está instalado e pensei em remover manualmente, porém não sei se só vai piorar.
Também sou burro e não fiz o backup do sistema antes do upgrade. >:(


  


2. Re: [Linux Mint] Erro com o dpkg

Clodoaldo Santos
clodoaldops

(usa Linux Mint)

Enviado em 14/08/2020 - 19:58h

-reinicie/pc >> opções/avançadas >> modo/recuperação >> dpkg/corrigir/pacotes/quebrados >> reinicie/pc




3. Re: [Linux Mint] Erro com o dpkg

Mauricio Ferrari
mauricio123

(usa Slackware)

Enviado em 14/08/2020 - 22:52h


Engraçado que o sistema ligou. Ou seja, não ferrou a base do sistema. Você estava atualizando, provavelmente será difícil resolver. Mas você pode tentar a dica postada acima.

___________________________________
Conhecimento não se Leva para o Túmulo.


4. Re: [Linux Mint] Erro com o dpkg

Danilo Marto
danilomarto

(usa Debian)

Enviado em 15/08/2020 - 06:47h

tenta rodar a linha
dpkg --configure -a 



5. Re: [Linux Mint] Erro com o dpkg

Nicolas
Apple

(usa Debian)

Enviado em 16/08/2020 - 14:03h

clodoaldops escreveu:

-reinicie/pc >> opções/avançadas >> modo/recuperação >> dpkg/corrigir/pacotes/quebrados >> reinicie/pc



Tentei e aparece apenas isso:

/lib/recovery-mode/recovery-menu: linha 80: /etc/default/rcS: Arquivo ou diretório não encontrado
Lendo cache
Não é possível atualizar
An upgrade from 'tricia' to 'bionic' is not suported with this tool.


6. Re: [Linux Mint] Erro com o dpkg

Nicolas
Apple

(usa Debian)

Enviado em 16/08/2020 - 14:17h

danilomarto escreveu:

tenta rodar a linha
dpkg --configure -a 


Aconteceu o mesmo erro


7. Resolvi mas ainda preciso de ajuda

Nicolas
Apple

(usa Debian)

Enviado em 16/08/2020 - 15:05h

Estranhamente resolvi o erro com este pacote com isso:
https://askubuntu.com/questions/438345/how-to-remove-install-a-package-that-is-not-fully-installed
Tentei denovo a atualização mas é preciso rebaixar versões de pacotes de terceiros e não funciona, não consegui tirar screenshot, mas ele procura por pacotes que não existem, depois vou tirar foto, agora estou atrasado.


8. Re: [Linux Mint] Erro com o dpkg

Clodoaldo Santos
clodoaldops

(usa Linux Mint)

Enviado em 16/08/2020 - 15:31h

-quando tive problemas durante atualização de versões eu tive que reinstalar sistema
-por isso eu sempre tenho meus arquivos numa partição separada
-use um pendrive do lm-20 e faça bkp de seus arquivos num hd externo antes de reinstalar



9. Re: [Linux Mint] Erro com o dpkg

Mauricio Ferrari
mauricio123

(usa Slackware)

Enviado em 16/08/2020 - 18:37h


clodoaldops escreveu:

-quando tive problemas durante atualização de versões eu tive que reinstalar sistema
-por isso eu sempre tenho meus arquivos numa partição separada
-use um pendrive do lm-20 e faça bkp de seus arquivos num hd externo antes de reinstalar



Então é isso, a única solução é uma instalação limpa.

___________________________________
Conhecimento não se Leva para o Túmulo.






Patrocínio

Site hospedado pelo provedor RedeHost.
Linux banner
Linux banner
Linux banner

Destaques

Artigos

Dicas

Tópicos

Top 10 do mês

Scripts